/** 
 * EggAgent -- big scary egg that sits there until t=30, 
 * then emerges as a monster!
 **/
public class EggAgent extends Agent {
  
  public static Picture egg1, egg2, egg3, egg4;
  
  /**
   * To initialize, set it up as the Egg in the upper lefthand corner
   **/
  public void init(Simulation thisSim){
    if (egg1 == null) { //Initialize
      //CHANGE ME!
      FileChooser.setMediaPath("D:/cs1316/MediaSources/");
      egg1 = new Picture(FileChooser.getMediaPath("egg1.jpg"));
      egg2 = new Picture(FileChooser.getMediaPath("egg2.jpg"));
      egg3 = new Picture(FileChooser.getMediaPath("egg3.jpg"));
      egg4 = new Picture(FileChooser.getMediaPath("egg4.jpg"));
    }
    // Start out as egg1
    myPict = egg1;
    
    // Normal initialization
    super.init(thisSim);
    
    // Make the turtle disappear
    this.hide();
    this.setPenDown(false);
    
    // Move the egg up to the left hand corner
    this.moveTo(10,10);
  }
  
  /**
   * To act, just drop the Egg for 15 steps,
   * then be the eyes opened for five steps,
   * then be the eyes switching back-and-forth
   **/
  public void act(int t) {    
    if (t < 19) {
      myPict = egg1;}
      //this.drop(egg1);}
    
    if (t>19 && t<24) {
      myPict = egg2;}
      //this.drop(egg2);}
    
    if (t>23) {
      int choose=randNumGen.nextInt(2);
      if (choose == 1) {
        myPict = egg3;}
      //this.drop(egg3);}
     else {
       myPict = egg4;}
      //this.drop(egg4);}
    }
  } // end act()
  
        ////////////////////////////// Constructors ////////////////////////
        // Copy this section AS-IS into subclasses, but rename Agent to 
        // Your class.
  
  /**
   * Constructor that takes the model display (the original
   * position will be randomly assigned)
   * @param modelDisplayer thing that displays the model
   * @param thisSim my simulation
   */
  public EggAgent (ModelDisplay modelDisplayer,Simulation thisSim)
  {
    super(randNumGen.nextInt(modelDisplayer.getWidth()),
          randNumGen.nextInt(modelDisplayer.getHeight()),
          modelDisplayer, thisSim);
  }
  
  /** Constructor that takes the x and y and a model
   * display to draw it on
   * @param x the starting x position
   * @param y the starting y position
   * @param modelDisplayer the thing that displays the model
   * @param thisSim my simulation
   */
  public EggAgent (int x, int y, ModelDisplay modelDisplayer, 
               Simulation thisSim) 
  {
    // let the parent constructor handle it
    super(x,y,modelDisplayer,thisSim);
  }
}
